stri_datetime_fstr {stringi} | R Documentation

## [DRAFT API] Convert `strptime`-style Format Strings

### Description

A function to convert `strptime`/`strftime`-style format strings to ICU format strings that may be used in `stri_datetime_parse` and `stri_datetime_format` functions.

### Usage

    stri_datetime_fstr(x)

### Arguments

`x` | character vector consisting of date/time format strings

### Details

For more details on conversion specifiers please refer to the manual page of `strptime`. Most of the formatters of the form `%x`, where `x` is a letter, are supported. Moreover, each `%%` is replaced with `%`.

Warnings are given in case of `%x`, `%X`, `%u`, `%w`, `%g`, `%G`, `%c`, `%U` and `%W` as in such circumstances either ICU does not support requested functionality using format-strings API or there are some inconsistencies between base R and ICU.

### Value

Returns a character vector.

### See Also

Other datetime: `stri_datetime_add`, `stri_datetime_create`, `stri_datetime_fields`, `stri_datetime_format`, `stri_datetime_now`, `stri_datetime_symbols`, `stri_timezone_get`, `stri_timezone_info`, `stri_timezone_list`

### Examples

    stri_datetime_fstr("%Y-%m-%d %H:%M:%S")

[Package stringi version 1.1.5 Index]